function b = bound(x, dx)

% Function bound of Daniel Morillo & Roger Koenker
% Found at: http://www.econ.uiuc.edu/~roger/rqn/rq.ox
% Translated from Ox to Matlab by Paul Eilers

% Fill vector with allowed step length
  b = 1e20 + 0 * x;
  f = find(dx < 0);
  b(f) = -x(f) ./ dx(f);
